package com.atmob.keyboard_android.component.base

import android.view.View
import android.view.ViewGroup

/**
 * UI组件接口，用于定义基础功能API
 */
interface IUIComponent {
    /**
     * 获取组件的视图布局
     */
    fun onInflateViewId(): Int

    /**
     * 查找控件
     */
    fun findView(view: View)

    /**
     * 绑定控件
     */
    fun bindView(view: View)

    /**
     * 将组件转换为View实例
     */
    fun asView(): ViewGroup
}